summaryrefslogtreecommitdiff
path: root/taler-build/switch_active.sh
diff options
context:
space:
mode:
authorMarcello Stanisci <marcello.stanisci@inria.fr>2016-06-17 22:56:34 +0200
committerMarcello Stanisci <marcello.stanisci@inria.fr>2016-06-17 22:56:34 +0200
commit13639df5cb692ebc79ba58ae7d5e6738ea2bc2b1 (patch)
tree98b89c8db2f129eae20b9c110d53a020adadac7c /taler-build/switch_active.sh
parent1aed6343b88bd476af4344e5cbdf368b5bd3ba20 (diff)
downloaddeployment-13639df5cb692ebc79ba58ae7d5e6738ea2bc2b1.tar.gz
deployment-13639df5cb692ebc79ba58ae7d5e6738ea2bc2b1.tar.bz2
deployment-13639df5cb692ebc79ba58ae7d5e6738ea2bc2b1.zip
removing backticks in switcher script
Diffstat (limited to 'taler-build/switch_active.sh')
-rwxr-xr-xtaler-build/switch_active.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/taler-build/switch_active.sh b/taler-build/switch_active.sh
index bc64ed6..388d488 100755
--- a/taler-build/switch_active.sh
+++ b/taler-build/switch_active.sh
@@ -6,11 +6,13 @@
# The script is not portable to system using different usernames and directories,
# respect to taler.net, for blue-green deployments
+set -eu
+
# figure out which is the inactive
-ACTIVE=`readlink /home/test/sockets | awk -F/ '{print $3}'`
+ACTIVE=$(readlink /home/test/sockets | awk -F/ '{print $3}')
# exit if active
-if [[ `whoami` == $ACTIVE ]]
+if [[ $(whoami) == $ACTIVE ]]
then
exit
fi